modplugplay(1)

NAME
modplugplay - a commandline music mod player using libmodplug

SYNOPSIS
modplugplay [FILES]

DESCRIPTION
modplugplay is a command line player for many music modules (669, amf, ams, dbm, dmf, dsm, far, it, j2b, mdl, med mod, mt2, mtm, okt, psm, ptm, s3m, stm, ult, umx and xm) using the libmodplug library.

USAGE
When you have started modplugplay using some files to play, you can control it using following keys

l   loop, unloop

p   pause, unpause

r   random song

n   next song

N   previos song

1   11025 hz

2   22050 hz

4   44100 hz

8   8/16 bit

m   mono/stereo

f   forward ten seconds

b   backward ten seconds

+   louder

-   softer

EXAMPLES
You can play your modules in random order using the help of randomize-lines, with this command

modplugplay `ls|rl`

    or

modplugplay `ls *.mod | iselect -am`

MUSIC FILES

http://www.maktone.tk/

http://www.chiptune.com/

http://www.chiptune.de/

http://www.mickrippon.com/

ftp://ftp.hornet.org/pub/demos/music/contests/

TEST MODULES
I have compiled a little collection of all kind of formats I could find, for testing. You can find it here, please report on what architecture what works and what not

http://maps.bzzt.net/modules-data/

AUTHOR

Gürkan Sengün <gurkan@linuks.mine> is the author of modplugplay.